Subject: bug#51032: 29.0.50; Choices for blink-matching-paren

From: Stefan Kangas <[email-masked]>
Date: Wed, 6 Oct 2021 16:53:40 -0400

Eli Zaretskii <[email-masked]> writes:

> I'm not talking about the doc string here, I'm talking about the
> values in the value menu that the defcustom will show the user when
> the user customizes this variable.

It's short enough, so I pasted its current definition below:

(defcustom blink-matching-paren t
  "Non-nil means show matching open-paren when close-paren is inserted.
In addition, if the opening paren is not visible on screen, show
its position in the echo area.

The valid values are:

  nil               Disable.
  non-nil           Highlight the opening paren.
  `jump'            Briefly move cursor to its position.
  `jump-offscreen'  Briefly move cursor to its position,
                    even if the opening paren is not on screen."
  :type '(choice
          (const :tag "Disable" nil)
          (const :tag "Highlight" t)
          (const :tag "Move cursor" jump)
          (const :tag "Move cursor, even if off screen" jump-offscreen))
  :group 'paren-blinking)